Bug 209414 - Alsa won't load EMU10K1 driver as PCM device
Alsa won't load EMU10K1 driver as PCM device
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 05:38 EDT by Frans G
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 08:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scound.conf (8.36 KB, text/plain)
2006-10-15 08:17 EDT, Frans G
no flags Details
dmesg output (16.29 KB, text/plain)
2006-10-24 05:35 EDT, Frans G
no flags Details
dmesg output (15.98 KB, text/plain)
2007-01-10 10:21 EST, Frans G
no flags Details

  None (edit)
Description Frans G 2006-10-05 05:38:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; nl; rv:1.8.0.7) Gecko/20060913 Fedora/1.5.0.7-1.fc5 Firefox/1.5.0.7 pango-text

Description of problem:
My Creative SoundBlaster Live tends to conflict with my Onboard VIA Soundcard, though the onboard device is off in bios, Fedora still loads it and want to use us. Fine with me as long as the Creative card still works,

This however is not the case, when I want to set the default device to the Creative SB Live! Emu10k1, I can't pick a PCM device so I won't have any sound.

Modprobing the snd-emu10k1 modules works fine, but I really can tell what i'm doing wrong here.

Version-Release number of selected component (if applicable):
2.6.17-1.2187_FC5 X64

How reproducible:
Always


Steps to Reproduce:
1. Booting up.
2.
3.

Actual Results:


Expected Results:


Additional info:
2.6.17-1.2187_FC5 X64
Creative Soundblaster Live - Emu10k1
Realtek ALC850 - snd-via82xx

VIA K8T800-Pro Chipset / Asus A8V-Deluxe
Latest Bios
Comment 1 Frans G 2006-10-05 05:42:44 EDT
Similar problem:

http://www.linuxquestions.org/questions/showthread.php?t=163125
Comment 2 Martin Stransky 2006-10-05 05:48:27 EDT
Do you have this SB in an ISA slot? Modules for ISA cards aren't loaded in FC5
during boot (don't ask me why).
Comment 3 Frans G 2006-10-05 05:53:45 EDT
No it's a PCI card!
Comment 4 Martin Stransky 2006-10-13 11:02:24 EDT
please attach /root/scsound.log (if it doesn't exist, run
system-config-soundcard and it'll create it)
Comment 5 Frans G 2006-10-15 08:17:23 EDT
Created attachment 138527 [details]
scound.conf

Here is the config file, sorry for the delay!.
Comment 6 Frans G 2006-10-17 13:42:19 EDT
It looked fixed, i saw 3 PCM devices and the sounds worked fine. Booted today,
all gone ;x
Comment 7 Martin Stransky 2006-10-23 07:04:59 EDT
Hm, it's quite strange. Could you attach an output of dmesg?
Comment 8 Frans G 2006-10-24 05:35:32 EDT
Created attachment 139209 [details]
dmesg output

The output of my dmesg, just before upgrading toe the .18 kernel.
Comment 9 Frans G 2007-01-10 10:21:45 EST
Created attachment 145259 [details]
dmesg output
Comment 10 Frans G 2007-01-10 10:24:44 EST
Comment on attachment 145259 [details]
dmesg output

Problem still persists after upgrading to the 2.6.18-1.2257.fc5 kernel, newest
dmesg supplied.
Comment 11 Martin Stransky 2007-01-11 05:01:06 EST
Can you attach /etc/modprobe.conf?

btw. the problem may be here:

EMU10K1_Audigy: probe of 0000:00:0e.0 failed with error -12

You can report it to ALSA project:

http://www.alsa-project.org

they're authors of linux sound system.

Note You need to log in before you can comment on or make changes to this bug.